Subject: A year ago you came to Russia, I remember you, write me!

From: <[email-masked]>
Date: Tue, 9 Feb 2010 13:13:27 -0300

You remember that day at the beach? "I'll immediately noticed!  Hit the button